# dem-feels

A meme based emoticon standard.

[![Build Status](https://travis-ci.org/CreaturePhil/dem-feels.svg)](https://travis-ci.org/CreaturePhil/dem-feels)
[![devDependency Status](https://david-dm.org/CreaturePhil/dem-feels/dev-status.svg)](https://david-dm.org/CreaturePhil/dem-feels#info=devDependencies)

## example

```js
const demFeels = require('dem-feels');

demFeels('hello world! feelsgd');
// => hello world! <img src="https://cdn.rawgit.com/CreaturePhil/dem-feels/master/emotes/feelsgd.png" title="feelsgd" width="50" height="50" />'
```

## installation

```bash
$ npm install dem-feels
```

## emotes
Visit http://creaturephil.github.io/dem-feels to see the list of emotes.

## documentation

### demFeels(message)

Parses the message with dem feels. Default maximum count of parsing amount of
emotes is ``5``.

### demfeels.extendEmotes(newEmotes)

Add new emotes to the default list of emotes. newEmotes is an object.

Example:

```js
demFeels.extendEmotes({
  'feelsnew': 'feelsnew.png'
});
```

### demFeels.getEmotes()

Get an object of emotes. For example: ``{'feelsgd': 'https://cdn.rawgit.com/CreaturePhil/dem-feels/master/feelsgd.png'}``

### demFeels.setMaxCount(count)

Set the maximum number of emotes to parse. Defaults to 5. For example, limiting it to 1 will
only parse one emote:

```js
demFeels.setMaxCount(1);
demFeels('feelsgd feelsgd');
// => '<img src="https://cdn.rawgit.com/CreaturePhil/dem-feels/master/emotes/feelsgd.png" title="feelsgd" width="50" height="50" /> feelsgd'
```

### demFeels.setImageSize(size)

Set the size of the emotes' image. The default size is 50 pixels.

```js
demFeels.setImageSize(40);
demFeels('hi feelsgd');
// => 'hi <img src="https://cdn.rawgit.com/CreaturePhil/dem-feels/master/emotes/feelsgd.png" title="feelsgd" width="40" height="40" />'
```

But setting it to 2 will parse two emotes:

```js
demFeels.setMaxCount(2);
demFeels('feelsgd feelsgd');
// => <img src="https://cdn.rawgit.com/CreaturePhil/dem-feels/master/emotes/feelsgd.png" title="feelsgd" width="50" height="50" /> <img src="https://cdn.rawgit.com/CreaturePhil/dem-feels/master/emotes/feelsgd.png" title="feelsgd" width="50" height="50" />'
```

## license

[MIT](LICENSE)
