'use strict';

const emotesList = require('./emotesList');
const emotesLength = emotesList.length;

const rawGitBaseUrl = 'https://cdn.rawgit.com/CreaturePhil/dem-feels/gh-pages/emotes/';

let emotes = {};
let maxCount = 5;
let size = 50;

for (let i = 0; i < emotesLength; i++) {
  emotes[emotesList[i].substring(0, emotesList[i].length - 4)] = rawGitBaseUrl + emotesList[i];
}

function demFeels(text) {
  let words = text.split(' ');
  const wordsLength = words.length;
  let count = 0;

  for (let i = 0; i < wordsLength && count < maxCount; i++) {
    const word = words[i];
    if (emotes.hasOwnProperty(word)) {
      words[i] = '<img src="' + emotes[word] + '" title="' + word + '" width="' + size + '" height="' + size + '" class="dem-feels-emote" />';
      count++;
    }
  }

  return words.join(' ');
}

demFeels.getEmotes = function() {
  return emotes;
};

demFeels.extendEmotes = function(newEmotes) {
  emotes = Object.assign({}, emotes, newEmotes);
};

demFeels.setMaxCount = function(count) {
  maxCount = count;
};

demFeels.setImageSize = function(newSize) {
  size = newSize;
};

module.exports = demFeels;
